Subject: Re: [6tisch] removing the 'e'

From: Tom Phinney <[email-masked]>
Date: Mon, 30 Mar 2015 14:56:39 -0700

Dear all:

I was contributing a comment on this subject via the chat channel
when the Thursday meeting closed. Diego, who was managing the chat
channel, captured it and we subsequently have had the attached
exchange.

In ISO and IEC standards the practice is to list the generic
document within the list of Normative References unless there are
explicit references to specific subclauses of the referenced
document, in which case a specific edition needs to be called out
because subclause numbering often change from one edition to the
next.

Thus, if a 6tisch document references subclause m.n.p
within the new 2015 edition of IEEE802.15.4, the reference would be
to IEEE802.15.4:2015, m.n.p. Otherwise the
reference WITHIN the standard is simply to IEEE802.15.4, without
qualification as to the specific edition. While such an unqualified
reference presumes that material on the referenced topic will not
disappear from future editions of IEEE802.15.4, such an assumption
is almost always valid and leads to much less confusion by those
trying to use the standard over its lifetime.

The specific wording to cover both dated and undated references that
the latest version of the ISO/IEC editing directives itself uses is:

The following documents, in whole or in
part, are normatively referenced in this document and

are indispensable for its application. For dated references, only
the edition cited applies. For

undated references, the latest edition of the referenced document
(including any

amendments) applies.

The related text from the ISO/IEC editing directives with regard to
use of Normative References is:

6.2.2 Normative references

This conditional element shall give a list of the referenced
documents cited (see 6.6.7.5) in

the document in such a way as to make them indispensable for the
application of the

document. For dated references, each shall be given with its year
of publication, or, in the

case of enquiry or final drafts, with a dash together with a
footnote “To be published.”, and full

title. The year of publication or dash shall not be given for
undated references. When an

undated reference is to all parts of a document, the publication
number shall be followed by

the indication “(all parts)” and the general title of the series
of parts (i.e. the introductory and

main elements, see Annex E).

In principle, the referenced documents shall be documents
published by ISO and/or IEC.

Documents published by other bodies may be referred to in a
normative manner provided that

a) the referenced document is recognized by the ISO and/or IEC
committee concerned as

having wide acceptance and authoritative status as well as being
publicly available,

b) the ISO and/or IEC committee concerned has obtained the
agreement of the authors or

publishers (where known) of the referenced document to its
inclusion and to its being

made available as required — the authors or publishers will be
expected to make

available such documents on request,

c) the authors or publishers (where known) have also agreed to
inform the ISO and/or IEC

committee concerned of their intention to revise the referenced
document and of the

points the revision will concern, and

d) the ISO and/or IEC committee concerned undertakes to review the
situation in the light of

any changes in the referenced document.

The list shall be introduced by the following wording:

“The following documents, in whole or in part, are normatively
referenced in this

document and are indispensable for its application. For dated
references, only the edition

cited applies. For undated references, the latest edition of the
referenced document

(including any amendments) applies.”

The above wording is also applicable to a part of a multipart
document.

The list shall not include the following:

• referenced documents which are not publicly available;

• referenced documents which are only cited in an informative
manner;

• referenced documents which have merely served as bibliographic
or background material

in the preparation of the document.

Such referenced documents may be listed in a bibliography (see
6.4.2).

An example from the same ISO/IEC Directives, Part 2 document
demonstrates proper dated-citation usage, including usage of the
date only as necessary to reduce ambiguity:

D.1.1 Scope of rules and examples
provided in Annex D

Annex D provides a synthesis of the rules and examples given in
ISO 10241-1:2011, and is

intended to cover those rules applicable to the forms of terms and
definitions most commonly

present in ISO and IEC standards. For the complete set of rules
and examples, refer to

ISO 10241-1.

It seems likely that actual references to the 2015 edition of
IEEE802.15.4 will, in fact, need to cite specific subclauses. If
that is the case, then this entire discussion of whether or not to
cite the edition is moot, because such citations are essential to
ensure that any specific sublclause references actually point to
relevant text.

-Tom

Subject: Re: Last comment
From: "Prof. Diego Dujovne" <[email-masked]>
To: Tom Phinney <[email-masked]>
Date: Mon, 30 Mar 2015 00:16:54 -0300

Tom,
       I think what you say is completely relevant to
discuss on 6tisch so as to keep the references correct
and coherent among the documents.
      I encourage you to send these comments to the
ML, or, if you wish, I can do it for you (referencing you
as the author, of course).
     I hope to see you on the next 6tisch webex call, which
should be announced soon.
     Tell me what you think about this.
     Thank you.
     Regards,

                            Diego Dujovne

2015-03-26 13:59 GMT-03:00 Tom Phinney <[email-masked]>:

>  I saw that the meeting was concluding just as I finished typing. My
> comment was about the general nature of references. I agree with Pat Kinney
> that references need to be to the current edition, which requires updates
> to specs that cite subclause numbers. That's why it's best not to cite such
> numbers. The standard text at the start of Clause 2, the Normative
> Reference clause, in IEC and ISO standards is
>
> The following referenced documents are indispensable for the application
> of this document. For dated references, only the edition cited applies. For
> undated references, the latest edition of the referenced document
> (including any amendments) applies.
>
> Thus most references can be to the current edition, whatever that is,
> meaning that the normative reference lists the document but not the edition
> or publication date. However, when it is necessary to cite within the
> specification specific subclause numbers of another document, which can
> change from one edition to another of that second document, then the
> edition listed in the normative references section must be dated.
>
>
> As to whether I can participate in the next 6tisch interim meeting, that,
> as always, depends on the date and time of the meeting. I participated on
> Monday and early this morning because it fit my schedule. However, I should
> have left for a class after the first hour. Instead I stayed on the
> connection until there was an unintended loss of connection, then
> reconnected to hear the end of the session.
> ===
>
> On 2015.03.26 09:41, Prof. Diego Dujovne wrote:
>
>    Tom,
>         Your last comment could not be included.
>  Would you be able to participate on the next 6tisch
>  interim meeting and reproduce that comment please?
>
> "Tom Phinney: An unqualified reference to a standard implies the edition
> listed in the normative references, which needs to specify either issue
> date (year) or edition. Any subclause references should be to that edition."
>
>  Thank you!
>  Regards,
>
>                         Diego Dujovne
>
> --
> DIEGO DUJOVNE
> Académico Escuela de Ingeniería en Informática y Telecomunicaciones
> Facultad de Ingeniería UDP
> www.ingenieria.udp.cl
> (56 2) 676 8125
>
>
>

-- 
DIEGO DUJOVNE
Académico Escuela de Ingeniería en Informática y Telecomunicaciones
Facultad de Ingeniería UDP
www.ingenieria.udp.cl
(56 2) 676 8125

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 31 Mar 2015 06:58:11 +0000

Thanks a bunch Tom!

I think that the case must be brought to the attention of the ADs, CC’ing Brian.
I’m unclear what the IETF best practice is for external documents such as IEEE, but the IEC approach seems very well though through.
If we do not have such a detailed BCP, then this should be exposed to the IAB.

Cheers,

Pascal

From: 6tisch [mailto:[email-masked]] On Behalf Of Tom Phinney
Sent: lundi 30 mars 2015 23:57
To: [email-masked]
Subject: Re: [6tisch] removing the 'e'

Dear all:

I was contributing a comment on this subject via the chat channel when the Thursday meeting closed. Diego, who was managing the chat channel, captured it and we subsequently have had the attached exchange.

In ISO and IEC standards the practice is to list the generic document within the list of Normative References unless there are explicit references to specific subclauses of the referenced document, in which case a specific edition needs to be called out because subclause numbering often change from one edition to the next.

Thus, if a 6tisch document references subclause m.n.p within the new 2015 edition of IEEE802.15.4, the reference would be to IEEE802.15.4:2015, m.n.p. Otherwise the reference WITHIN the standard is simply to IEEE802.15.4, without qualification as to the specific edition. While such an unqualified reference presumes that material on the referenced topic will not disappear from future editions of IEEE802.15.4, such an assumption is almost always valid and leads to much less confusion by those trying to use the standard over its lifetime.

The specific wording to cover both dated and undated references that the latest version of the ISO/IEC editing directives itself uses is:

The following documents, in whole or in part, are normatively referenced in this document and
are indispensable for its application. For dated references, only the edition cited applies. For
undated references, the latest edition of the referenced document (including any
amendments) applies.

The related text from the ISO/IEC editing directives with regard to use of Normative References is:

This conditional element shall give a list of the referenced documents cited (see 6.6.7.5) in
the document in such a way as to make them indispensable for the application of the
document. For dated references, each shall be given with its year of publication, or, in the
case of enquiry or final drafts, with a dash together with a footnote “To be published.”, and full
title. The year of publication or dash shall not be given for undated references. When an
undated reference is to all parts of a document, the publication number shall be followed by
the indication “(all parts)” and the general title of the series of parts (i.e. the introductory and
main elements, see Annex E).

In principle, the referenced documents shall be documents published by ISO and/or IEC.
Documents published by other bodies may be referred to in a normative manner provided that
a) the referenced document is recognized by the ISO and/or IEC committee concerned as
having wide acceptance and authoritative status as well as being publicly available,
b) the ISO and/or IEC committee concerned has obtained the agreement of the authors or
publishers (where known) of the referenced document to its inclusion and to its being
made available as required — the authors or publishers will be expected to make
available such documents on request,
c) the authors or publishers (where known) have also agreed to inform the ISO and/or IEC
committee concerned of their intention to revise the referenced document and of the
points the revision will concern, and
d) the ISO and/or IEC committee concerned undertakes to review the situation in the light of
any changes in the referenced document.

The list shall be introduced by the following wording:
“The following documents, in whole or in part, are normatively referenced in this
document and are indispensable for its application. For dated references, only the edition
cited applies. For undated references, the latest edition of the referenced document
(including any amendments) applies.”

The above wording is also applicable to a part of a multipart document.

The list shall not include the following:
• referenced documents which are not publicly available;
• referenced documents which are only cited in an informative manner;
• referenced documents which have merely served as bibliographic or background material
in the preparation of the document.

Such referenced documents may be listed in a bibliography (see 6.4.2).

An example from the same ISO/IEC Directives, Part 2 document demonstrates proper dated-citation usage, including usage of the date only as necessary to reduce ambiguity:

D.1.1 Scope of rules and examples provided in Annex D

Annex D provides a synthesis of the rules and examples given in ISO 10241-1:2011, and is
intended to cover those rules applicable to the forms of terms and definitions most commonly
present in ISO and IEC standards. For the complete set of rules and examples, refer to
ISO 10241-1.

It seems likely that actual references to the 2015 edition of IEEE802.15.4 will, in fact, need to cite specific subclauses. If that is the case, then this entire discussion of whether or not to cite the edition is moot, because such citations are essential to ensure that any specific sublclause references actually point to relevant text.

-Tom

---

From: Brian Haberman <[email-masked]>
Date: Tue, 31 Mar 2015 08:21:53 -0400

Pascal,

On 3/31/15 2:58 AM, Pascal Thubert (pthubert) wrote:
> Thanks a bunch Tom!
> 
> I think that the case must be brought to the attention of the ADs,
> CC’ing Brian. I’m unclear what the IETF best practice is for external
> documents such as IEEE, but the IEC approach seems very well though
> through. If we do not have such a detailed BCP, then this should be
> exposed to the IAB.

I am not aware of a BCP that discusses references to external documents.
 Format-wise, that is the purview of the RFC Editor.  I am not sure why
the IAB would care about references...

I am generally leery of a blanket reference to the generic
specification.  The WG has developed its solution based on a particular
version of the IEEE specification, so I would expect to see references
annotated by the year of the 15.4 spec.

Regards,
Brian

> 
> Cheers,
> 
> Pascal
> 
> From: 6tisch [mailto:[email-masked]] On Behalf Of Tom
> Phinney Sent: lundi 30 mars 2015 23:57 To: [email-masked] Subject:
> Re: [6tisch] removing the 'e'
> 
> Dear all:
> 
> In ISO and IEC standards the practice is to list the generic document
> within the list of Normative References unless there are explicit
> references to specific subclauses of the referenced document, in
> which case a specific edition needs to be called out because
> subclause numbering often change from one edition to the next.
> 
> Thus, if a 6tisch document references subclause m.n.p within the new
> 2015 edition of IEEE802.15.4, the reference would be to
> IEEE802.15.4:2015, m.n.p. Otherwise the reference WITHIN the standard
> is simply to IEEE802.15.4, without qualification as to the specific
> edition. While such an unqualified reference presumes that material
> on the referenced topic will not disappear from future editions of
> IEEE802.15.4, such an assumption is almost always valid and leads to
> much less confusion by those trying to use the standard over its
> lifetime.
> 
> The following documents, in whole or in part, are normatively
> referenced in this document and are indispensable for its
> application. For dated references, only the edition cited applies.
> For undated references, the latest edition of the referenced document
> documents cited (see 6.6.7.5) in the document in such a way as to
> make them indispensable for the application of the document. For
> dated references, each shall be given with its year of publication,
> or, in the case of enquiry or final drafts, with a dash together with
> a footnote “To be published.”, and full title. The year of
> publication or dash shall not be given for undated references. When
> an undated reference is to all parts of a document, the publication
> number shall be followed by the indication “(all parts)” and the
> general title of the series of parts (i.e. the introductory and main
> elements, see Annex E).
> 
> In principle, the referenced documents shall be documents published
> by ISO and/or IEC. Documents published by other bodies may be
> referred to in a normative manner provided that a) the referenced
> document is recognized by the ISO and/or IEC committee concerned as 
> publicly available, b) the ISO and/or IEC committee concerned has
> obtained the agreement of the authors or publishers (where known) of
> the referenced document to its inclusion and to its being made
> available as required — the authors or publishers will be expected to
> make available such documents on request, c) the authors or
> publishers (where known) have also agreed to inform the ISO and/or
> IEC committee concerned of their intention to revise the referenced
> document and of the points the revision will concern, and d) the ISO
> and/or IEC committee concerned undertakes to review the situation in
> the light of any changes in the referenced document.
> 
> The list shall be introduced by the following wording: “The following
> documents, in whole or in part, are normatively referenced in this 
> references, only the edition cited applies. For undated references,
> the latest edition of the referenced document (including any
> amendments) applies.”
> 
> The list shall not include the following: • referenced documents
> which are not publicly available; • referenced documents which are
> only cited in an informative manner; • referenced documents which
> have merely served as bibliographic or background material in the
> preparation of the document.
> 
> demonstrates proper dated-citation usage, including usage of the date
> only as necessary to reduce ambiguity:
> 
> Annex D provides a synthesis of the rules and examples given in ISO
> 10241-1:2011, and is intended to cover those rules applicable to the
> forms of terms and definitions most commonly present in ISO and IEC
> standards. For the complete set of rules and examples, refer to ISO
> 10241-1.
> 
> 
> 
> IEEE802.15.4 will, in fact, need to cite specific subclauses. If that
> is the case, then this entire discussion of whether or not to cite
> the edition is moot, because such citations are essential to ensure
> that any specific sublclause references actually point to relevant
> text.
> 
> -Tom
> 
> 
> 
> _______________________________________________ 6tisch mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/6tisch
>

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 31 Mar 2015 12:57:38 +0000

Hello Brian:

Adding the year is apparently not the expectation of the group that owns the reference that we make. I mentioned the IAB because of a best practice question; I'm asking if there needs to be a best practice at the IETF like there is at IEC as well-documented in Tom Phinney's email, and if so, then who should write it? I take from your email that you do not think there is such a need.

Regardless, there appears to be a tension that 6TiSCH needs to resolve, I really like the way IEC did it, and I would not mind doing the exact same: If you have a dependency on a text that is particular to one version, be specific, else be generic.

So far, 6TiSCH does not have a dependency on a particular version, so we could keep it generic with 802.15.4, with a mention that a part of the overall interoperability depends on the MAC and PHY layers and is independent on 6TiSCH.

My reading is that we'd leave it up to manufacturers to select the MAC/PHY version that they like, and they have their own reasons to pick one; the caveat is that they might not interop with one another at the IEEE layers, but should that be our problem?

At least I understand that we need to be specific for the plug test. And that we can resolve within the WG.

Cheers,

Pascal

> -----Original Message-----
> From: 6tisch [mailto:[email-masked]] On Behalf Of Brian Haberman
> Sent: mardi 31 mars 2015 14:22
> To: [email-masked]
> > CC'ing Brian. I'm unclear what the IETF best practice is for external
>  Format-wise, that is the purview of the RFC Editor.  I am not sure why the IAB
> would care about references...
> 
> I am generally leery of a blanket reference to the generic specification.  The WG
> has developed its solution based on a particular version of the IEEE
> specification, so I would expect to see references annotated by the year of the
> 15.4 spec.
> 
> Regards,
> Brian
> 
> >
> > Cheers,
> >
> > Pascal
> >
> > Sent: lundi 30 mars 2015 23:57 To: [email-masked] Subject:
> > I was contributing a comment on this subject via the chat channel when
> > the Thursday meeting closed. Diego, who was managing the chat channel,
> > captured it and we subsequently have had the attached exchange.
> >
> > references to specific subclauses of the referenced document, in which
> > case a specific edition needs to be called out because subclause
> > numbering often change from one edition to the next.
> >
> > edition. While such an unqualified reference presumes that material on
> > the referenced topic will not disappear from future editions of
> > referenced in this document and are indispensable for its application.
> > For dated references, only the edition cited applies.
> > This conditional element shall give a list of the referenced documents
> > cited (see 6.6.7.5) in the document in such a way as to make them
> > indispensable for the application of the document. For dated
> > references, each shall be given with its year of publication, or, in
> > the case of enquiry or final drafts, with a dash together with a
> > footnote "To be published.", and full title. The year of publication
> > or dash shall not be given for undated references. When an undated
> > reference is to all parts of a document, the publication number shall
> > be followed by the indication "(all parts)" and the general title of
> > the series of parts (i.e. the introductory and main elements, see
> > Annex E).
> >
> > In principle, the referenced documents shall be documents published by
> > ISO and/or IEC. Documents published by other bodies may be referred to
> > in a normative manner provided that a) the referenced document is
> > recognized by the ISO and/or IEC committee concerned as having wide
> > acceptance and authoritative status as well as being publicly
> > available, b) the ISO and/or IEC committee concerned has obtained the
> > agreement of the authors or publishers (where known) of the referenced
> > document to its inclusion and to its being made available as required
> > - the authors or publishers will be expected to make available such
> > documents on request, c) the authors or publishers (where known) have
> > also agreed to inform the ISO and/or IEC committee concerned of their
> > intention to revise the referenced document and of the points the
> > revision will concern, and d) the ISO and/or IEC committee concerned
> > undertakes to review the situation in the light of any changes in the
> > referenced document.
> >
> > The list shall be introduced by the following wording: "The following
> > amendments) applies."
> > The list shall not include the following: * referenced documents which
> > are not publicly available; * referenced documents which are only
> > cited in an informative manner; * referenced documents which have
> > merely served as bibliographic or background material in the
> > is the case, then this entire discussion of whether or not to cite the
> > edition is moot, because such citations are essential to ensure that
> > any specific sublclause references actually point to relevant text.
> >
> > -Tom
> >
> >
> >

---

From: Tom Phinney <[email-masked]>
Date: Tue, 31 Mar 2015 07:30:00 -0700

Just to be clear about the ISO/IEC approach, there are two places where 
a dated reference might be specified. The first is simply within the 
Normative References clause of a standard, where the specific edition to 
which the standard refers can be cited when that is deemed appropriate. 
For IETF documents, where a different document number is assigned for 
each revised republication, the document number alone suffices. However, 
for standards from other standards development organizations (SDOs), the 
specific year of the edition usually is required when it is deemed 
necessary to uniquely identify a specific edition of the cited standard.

The second place where a dated reference must be specified is when the 
text of the standard cites a specific subclause of the referenced other 
standard as normative text. In that case it is necessary to cite the 
year of the referenced standard within the reference so that an 
oversight during future editing of the citing standard does not 
inadvertently reference the wrong clause of a revision of the referenced 
standard, which could otherwise occur when the base edition of the 
referenced standard is updated within the Normative References clause of 
the citing standard.

A hypothetical example from the current documents shows the various 
difficulties:

- Current normative references within 6tich documents would be to IEEE 
802.15.4:2011 or to IEEE 802.15.4e:2012. Both would be listed in the 
document's Normative References clause.

- A textual reference could take the generic form "IEEE 802.15.4", which 
would be appropriate when referring to aspects that are common among all 
editions and revisions to IEEE 802.15.4.

- A second form of textual reference would be to either "IEEE 
802.15.4:2011" or "IEEE 802.15.4e:2012", which designates the specific 
referenced source document but not a specific subclause within that 
cited document.

- The third form of textual reference is to a specific subclause of a 
specific document. In that case the reference form must include the 
date, such as "IEEE 802.15.4e:2012, 4.7.2" to reference subclause 4.7.2 
of IEEE 802.15.4e:2012. Including the date at the point of reference 
ensures detection of future editing errors during maintenance of the 
citing standard.

Note that the specific syntax of an undated or dated reference depends 
on the SDO that is writing the standard. The above shows the required 
syntax for ISO/IEC standards, in which the document number itself often 
contains a hyphen ("-"), thus making the hyphen unusable as a date 
separator. IETF and IEEE each have somewhat different requirements. The 
rules about inclusion of spaces within the citation also differ by SDO.

Regards,
-Tom
=====

---

From: Subir Das <[email-masked]>
Date: Tue, 31 Mar 2015 13:19:54 -0400

Agree with what Brian said here. I think 802.15.4- 2011 is more appropriate
unless 802.15.4 - 2015 is published  by the IEEE-SA before the RFC is
published. If we choose to do 802.15.4-2015, then it would be good if WG
discusses and understands the impact to IETF document(s), if there is any.

-Subir

On Tue, Mar 31, 2015 at 8:21 AM, Brian Haberman <[email-masked]>
wrote:

> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch
>
>

---

From: Brian Haberman <[email-masked]>
Date: Tue, 31 Mar 2015 13:20:33 -0400

Hi Pascal,

On 3/31/15 8:57 AM, Pascal Thubert (pthubert) wrote:
> Hello Brian:
> 
> Adding the year is apparently not the expectation of the group that
> owns the reference that we make. I mentioned the IAB because of a
> best practice question; I'm asking if there needs to be a best
> practice at the IETF like there is at IEC as well-documented in Tom
> Phinney's email, and if so, then who should write it? I take from
> your email that you do not think there is such a need.

I do not think there is a need for yet another set of rules.  We should
be exercising good judgement and doing what is right for each situation.

I am still confused by your mention of the IAB.  The IAB has nothing to
do with BCPs related to IETF stream documents.

> 
> Regardless, there appears to be a tension that 6TiSCH needs to
> resolve, I really like the way IEC did it, and I would not mind doing
> the exact same: If you have a dependency on a text that is particular
> to one version, be specific, else be generic.

Then that is an issue for 6tisch to resolve collectively.

> 
> So far, 6TiSCH does not have a dependency on a particular version, so
> we could keep it generic with 802.15.4, with a mention that a part of
> the overall interoperability depends on the MAC and PHY layers and is
> independent on 6TiSCH.

If we were to assume that:

1. IEEE publishes 802.15.4-2015
2. the 6tisch protocol spec is published *after* 802.15.4-2015
3. the published 6tisch protocol references generically 802.15.4

what happens to the IETF spec if the IEEE publishes 802.15.4-2017, that
spec overhauls the 15.4e behavior, and renders the 6tisch spec useless?

To me, the above would argue that referencing 802.15.4-2015 makes it
clear which version of that spec is needed to support the 6tisch spec.

The above may not be an issue given I am still coming up to speed on all
aspects of 6tisch.

Regards,
Brian

> 
> My reading is that we'd leave it up to manufacturers to select the
> MAC/PHY version that they like, and they have their own reasons to
> pick one; the caveat is that they might not interop with one another
> at the IEEE layers, but should that be our problem?
> 
>> -----Original Message----- From: 6tisch
>> [mailto:[email-masked]] On Behalf Of Brian Haberman Sent:
>> mardi 31 mars 2015 14:22 To: [email-masked] Subject: Re: [6tisch]
>> removing the 'e'
>> 
>> Pascal,
>> 
>>> I think that the case must be brought to the attention of the
>>> ADs, CC'ing Brian. I'm unclear what the IETF best practice is for
>>> external documents such as IEEE, but the IEC approach seems very
>>> well though through. If we do not have such a detailed BCP, then
>>> this should be exposed to the IAB.
>> 
>> I am not aware of a BCP that discusses references to external
>> documents. Format-wise, that is the purview of the RFC Editor.  I
>> am not sure why the IAB would care about references...
>> 
>> specification.  The WG has developed its solution based on a
>> particular version of the IEEE specification, so I would expect to
>> see references annotated by the year of the 15.4 spec.
>> 
>> Regards, Brian
>> 
>>> 
>>> Cheers,
>>> 
>>> Pascal
>>> 
>>> Phinney Sent: lundi 30 mars 2015 23:57 To: [email-masked]
>>> when the Thursday meeting closed. Diego, who was managing the
>>> chat channel, captured it and we subsequently have had the
>>> attached exchange.
>>> 
>>> Thus, if a 6tisch document references subclause m.n.p within the
>>> new 2015 edition of IEEE802.15.4, the reference would be to 
>>> IEEE802.15.4:2015, m.n.p. Otherwise the reference WITHIN the
>>> standard is simply to IEEE802.15.4, without qualification as to
>>> the specific edition. While such an unqualified reference
>>> presumes that material on the referenced topic will not disappear
>>> from future editions of IEEE802.15.4, such an assumption is
>>> almost always valid and leads to much less confusion by those
>>> The specific wording to cover both dated and undated references
>>> that the latest version of the ISO/IEC editing directives itself
>>> uses is:
>>> 
>>> application. For dated references, only the edition cited
>>> applies. For undated references, the latest edition of the
>>> referenced document (including any amendments) applies.
>>> 
>>> dated references, each shall be given with its year of
>>> publication, or, in the case of enquiry or final drafts, with a
>>> dash together with a footnote "To be published.", and full title.
>>> The year of publication or dash shall not be given for undated
>>> references. When an undated reference is to all parts of a
>>> document, the publication number shall be followed by the
>>> indication "(all parts)" and the general title of the series of
>>> parts (i.e. the introductory and main elements, see Annex E).
>>> 
>>> published by ISO and/or IEC. Documents published by other bodies
>>> may be referred to in a normative manner provided that a) the
>>> referenced document is recognized by the ISO and/or IEC committee
>>> concerned as having wide acceptance and authoritative status as
>>> well as being publicly available, b) the ISO and/or IEC committee
>>> concerned has obtained the agreement of the authors or publishers
>>> (where known) of the referenced document to its inclusion and to
>>> its being made available as required - the authors or publishers
>>> will be expected to make available such documents on request, c)
>>> the authors or publishers (where known) have also agreed to
>>> inform the ISO and/or IEC committee concerned of their intention
>>> to revise the referenced document and of the points the revision
>>> will concern, and d) the ISO and/or IEC committee concerned 
>>> undertakes to review the situation in the light of any changes in
>>> the referenced document.
>>> 
>>> The list shall be introduced by the following wording: "The
>>> following documents, in whole or in part, are normatively
>>> application. For dated references, only the edition cited
>>> applies. For undated references, the latest edition of the
>>> referenced document (including any amendments) applies."
>>> 
>>> The list shall not include the following: * referenced documents
>>> which are not publicly available; * referenced documents which
>>> are only cited in an informative manner; * referenced documents
>>> which have merely served as bibliographic or background material
>>> ISO 10241-1:2011, and is intended to cover those rules applicable
>>> to the forms of terms and definitions most commonly present in
>>> ISO and IEC standards. For the complete set of rules and
>>> examples, refer to ISO 10241-1.
>>> 
>>> 
>>> 
>>> that is the case, then this entire discussion of whether or not
>>> to cite the edition is moot, because such citations are essential
>>> to ensure that any specific sublclause references actually point
>>> to relevant text.
>>> 
>>> -Tom
>>> 
>>> 
>>> 
>>> _______________________________________________ 6tisch mailing
>>> list [email-masked]

---

From: Kris Pister <[email-masked]>
Date: Tue, 31 Mar 2015 11:20:03 -0700

A valid concern.  802.15.4e:2012 seems like the safest reference for the
minimal draft at the very least.

ksjp

On 3/31/2015 10:20 AM, Brian Haberman wrote:
> 2. the 6tisch protocol spec is published*after*  802.15.4-2015

---

From: Subir Das <[email-masked]>
Date: Tue, 31 Mar 2015 14:46:48 -0400

Agree but we still need to refer 802.15.4-2011 since 802.15.4e-2012 is an
amendment unless we go with 802.15.4-2015.

On Tue, Mar 31, 2015 at 2:20 PM, Kris Pister <[email-masked]> wrote:

> 2. the 6tisch protocol spec is published **after** 802.15.4-2015